Crazy Eddies GUI System: TiXmlBase Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# TiXmlBase Class Reference

Inheritance diagram for TiXmlBase:

[legend]
List of all members.

## Public Types
enum | { TIXML_NO_ERROR = 0, TIXML_ERROR, TIXML_ERROR_OPENING_FILE, TIXML_ERROR_OUT_OF_MEMORY, TIXML_ERROR_PARSING_ELEMENT, TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME, TIXML_ERROR_READING_ELEMENT_VALUE, TIXML_ERROR_READING_ATTRIBUTES, TIXML_ERROR_PARSING_EMPTY, TIXML_ERROR_READING_END_TAG, TIXML_ERROR_PARSING_UNKNOWN, TIXML_ERROR_PARSING_COMMENT, TIXML_ERROR_PARSING_DECLARATION, TIXML_ERROR_DOCUMENT_EMPTY, TIXML_ERROR_EMBEDDED_NULL, TIXML_ERROR_STRING_COUNT }
## Public Member Functions
virtual void | Print (FILE *cfile, int depth) const =0
int | Row () const
int | Column () const
| See Row().
void | SetUserData (void *user)
void * | GetUserData ()
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)=0
## Static Public Member Functions
static void | SetCondenseWhiteSpace (bool condense)
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting.
## Static Public Attributes
static const int | utf8ByteTable [256]
## Protected Member Functions
virtual void | StreamOut (TIXML_OSTREAM *) const =0
## Static Protected Member Functions
static const char * | SkipWhiteSpace (const char *, TiXmlEncoding encoding)
static bool | IsWhiteSpace (char c)
static const char * | ReadName (const char *p, TIXML_STRING *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, TIXML_STRING *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static void | PutString (const TIXML_STRING &str, TIXML_OSTREAM *out)
static void | PutString (const TIXML_STRING &str, TIXML_STRING *out)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
## Protected Attributes
TiXmlCursor | location
void * | userData
| Field containing a generic user pointer.
## Static Protected Attributes
static const char * | errorString [TIXML_ERROR_STRING_COUNT]
## Friends
class | TiXmlNode
class | TiXmlElement
class | TiXmlDocument
## Classes
struct | Entity
class | StringToBuffer

## Detailed Description

TiXmlBase is a base class for every class in TinyXml. It does little except to establish that TinyXml classes can be printed and provide some utility functions.

In XML, the document and elements can contain other elements and other types of nodes.

    	A Document can contain:	Element	(container or leaf)
    							Comment (leaf)
    							Unknown (leaf)
    							Declaration( leaf )

    	An Element can contain:	Element (container or leaf)
    							Text	(leaf)
    							Attributes (not on tree)
    							Comment (leaf)
    							Unknown (leaf)

    	A Decleration contains: Attributes (not on tree)

## Member Function Documentation

virtual void TiXmlBase::Print | ( | FILE * | cfile,
|  | int | depth
| ) | const`[pure virtual]`

| All TinyXml classes can print themselves to a filestream. This is a formatted print, and will insert tabs and newlines. (For an unformatted stream, use the << operator.) Implemented in TiXmlAttribute, TiXmlElement, TiXmlComment, TiXmlText, TiXmlDeclaration, TiXmlUnknown, and TiXmlDocument.

int TiXmlBase::Row | ( |  | ) | const`[inline]`

| Return the position, in the original source file, of this node or attribute. The row and column are 1-based. (That is the first row and first column is 1,1). If the returns values are 0 or less, then the parser does not have a row and column value. Generally, the row and column value will be set when the TiXmlDocument::Load(), TiXmlDocument::LoadFile(), or any TiXmlNode::Parse() is called. It will NOT be set when the DOM was created from operator>>. The values reflect the initial load. Once the DOM is modified programmatically (by adding or changing nodes and attributes) the new values will NOT update to reflect changes in the document. There is a minor performance cost to computing the row and column. Computation can be disabled if TiXmlDocument::SetTabSize() is called with 0 as the value. See also: TiXmlDocument::SetTabSize()

static void TiXmlBase::SetCondenseWhiteSpace | ( | bool | condense | ) | `[inline, static]`

| The world does not agree on whether white space should be kept or not. In order to make everyone happy, these global, static functions are provided to set whether or not TinyXml will condense all white space into a single space or not. The default is to condense. Note changing this values is not thread safe.

## Member Data Documentation

const char * TiXmlBase::errorString`[static, protected]`

| Initial value:
    {
            "No error",
            "Error",
            "Failed to open file",
            "Memory allocation failed.",
            "Error parsing Element.",
            "Failed to read Element name",
            "Error reading Element value.",
            "Error reading Attributes.",
            "Error: empty tag.",
            "Error reading end tag.",
            "Error parsing Unknown.",
            "Error parsing Comment.",
            "Error parsing Declaration.",
            "Error document empty.",
            "Error null (0) or unexpected EOF found in input stream.",
    }

const int TiXmlBase::utf8ByteTable`[static]`

| Initial value:
    {

                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,
                    1,      1,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,
                    2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,      2,
                    3,      3,      3,      3,      3,      3,      3,      3,      3,      3,      3,      3,      3,      3,      3,      3,
                    4,      4,      4,      4,      4,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1,      1
    }